#ifndef INCLUDE_cvlib_approx_poly_H_
#define INCLUDE_cvlib_approx_poly_H_


#include "cvlib.h"
#include <stdio.h>

class cvlib_approx_poly:
	public flext_base
{
	// obligatory flext header, inherit from cvlib_base
	FLEXT_HEADER(cvlib_approx_poly,flext_base)
public:
    cvlib_approx_poly(int argc,t_atom *argv);
    ~cvlib_approx_poly();

    int iterations;

protected:
    void process_cvContours (int i);
    void send_cvContourSID();
 //   void bang();
//    void send_cvImageSID();
 void set_tolerance(float f);

private:
    struct  CvMemStorage *storage;
    CvSeq* contours;
    CvSeq* result;
    CvSeq* approximated_contours;
    CvSeq* approximated_contours_head;
    int cvSeqSID;
  //  CvSeq* result;
    float tolerance;

    t_atom my_output;
 //   FLEXT_CALLBACK(bang)
    FLEXT_CALLBACK_F(set_tolerance)
    FLEXT_CALLBACK_I(process_cvContours)
};



// end of #ifndef statement
#endif

