#ifndef INCLUDE_cvlib_athreshold_H_
#define INCLUDE_cvlib_athreshold_H_


#include "cvlib_ImageFilter_1_1.h"

#include <stdio.h>

class cvlib_athreshold:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_ImageFilter_1_1

	FLEXT_HEADER(cvlib_athreshold,cvlib_ImageFilter_1_1)
public:
    // CONSTRUCTOR
    cvlib_athreshold(int argc,t_atom *argv);

protected:
    // DESTRUCTOR
    virtual ~cvlib_athreshold();

    virtual int process_1channel_image(IplImage *&Source, IplImage * &Dest);   //


    void	    	setMode(int mode);
    void	    	setMethod(int method);
    void	    	setBlockSize(int blocksize);
    void	    	setDim(int dim);
    void            setMaxValue(int maxvalue);

    int threshold_mode;
    int threshold_method;
    int threshold_blocksize;
    int threshold_dim;
    int threshold_max_value;


private:
    FLEXT_CALLBACK_I(setMode)
    FLEXT_CALLBACK_I(setMethod)
    FLEXT_CALLBACK_I(setBlockSize)
    FLEXT_CALLBACK_I(setDim)
    FLEXT_CALLBACK_I(setMaxValue)

};



// end of #ifndef statement
#endif

