#ifndef INCLUDE_cvlib_contours_segment_count_H_
#define INCLUDE_cvlib_contours_segment_count_H_


#include "cvlib.h"
#include <stdio.h>


class cvlib_contours_segment_count:
	public flext_base
{
	// obligatory flext header, inherit from cvlib_base
	FLEXT_HEADER(cvlib_contours_segment_count,flext_base)
public:
    cvlib_contours_segment_count(int argc,t_atom *argv);
    ~cvlib_contours_segment_count();


protected:
    void process_cvContours (int i);



private:

    CvSeq* contours;

    int matrix_output_mode;
    struct matrix_out
    {

        t_atom nrow;
        t_atom ncol;
        t_atom results[CVLIB_MAX_CONTOURS][1] ;
    }   my_output;

    t_atom result[2];


    FLEXT_CALLBACK_I(process_cvContours)
};



// end of #ifndef statement
#endif

