#ifndef INCLUDE_cvlib_find_contours_H_
#define INCLUDE_cvlib_find_contours_H_


#include "cvlib_ImageFilter_1_1.h"
#include <stdio.h>

class cvlib_find_contours:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_base
	FLEXT_HEADER(cvlib_find_contours,cvlib_ImageFilter_1_1)
public:
    cvlib_find_contours();
    ~cvlib_find_contours();

protected:
    virtual int process_1channel_image (IplImage * &Source, IplImage * &Dest);
    void set_drawing_status(int value);

private:
    struct  CvMemStorage *storage;
    CvSeq* contours;
    CvSeq* current_contour;
    CvSeq* result;
    int cvSeqSID;
    int draw_mode;
    IplImage * tempImg;
    IplImage * tempImg2;
    t_atom my_output;

    FLEXT_CALLBACK_I(set_drawing_status)
};



// end of #ifndef statement
#endif

