#ifndef INCLUDE_cvlib_image_H_
#define INCLUDE_cvlib_image_H_


#include "cvlib_ImageFilter_0_1.h"

#include <stdio.h>

class cvlib_image:
	public cvlib_ImageFilter_0_1
{
	// obligatory flext header, inherit from cvlib_ImageFilter_0_1

	FLEXT_HEADER(cvlib_image,cvlib_ImageFilter_0_1)
public:
    // CONSTRUCTOR
    cvlib_image(int argc,t_atom *argv);
    ~cvlib_image();

protected:
    void file_open(int argc,const t_atom *argv);

private:
    int fd;  // handle to file
//    static void setup(t_classid c);
// image properties
    int width;
    int height;
    int channels;  // 1 (gray)  / 3 (BGR)   / 4  (RGBA)....
    int type;  // float, int, etc...
    IplImage * cvImageNew;
 //   t_atom my_output;

//
    FLEXT_CALLBACK_V(file_open)


};

// end of #ifndef statement
#endif


