#ifndef INCLUDE_cvlib_canny_H_
#define INCLUDE_cvlib_canny_H_


#include "cvlib_ImageFilter_1_1.h"

#include <stdio.h>

class cvlib_canny:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_ImageFilter_1_1

	FLEXT_HEADER(cvlib_canny,cvlib_ImageFilter_1_1)
public:
    // CONSTRUCTOR
    cvlib_canny(int argc,t_atom *argv);

protected:
    // DESTRUCTOR
    virtual ~cvlib_canny();

    virtual int process_1channel_image(IplImage * &Source, IplImage * &Dest);
    virtual int process_4channels_image(IplImage * &Source, IplImage * &Dest);

    void set_threshold1(int value);
    void set_threshold2(int value);
    void set_aperture_size(int value);

IplImage * cvImageTemp;
IplImage * cvImageTemp2;
    int threshold1;
    int threshold2;
    int aperture_size;


private:
    FLEXT_CALLBACK_I(set_threshold1)
    FLEXT_CALLBACK_I(set_threshold2)
    FLEXT_CALLBACK_I(set_aperture_size)

};



// end of #ifndef statement
#endif

