#ifndef INCLUDE_cvlib_circle_H_
#define INCLUDE_cvlib_circle_H_


#include "cvlib_ImageFilter_1_1.h"

#include <stdio.h>

#define nb_max_of_circles 1000
class cvlib_circle:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_ImageFilter_1_1

	FLEXT_HEADER(cvlib_circle,cvlib_ImageFilter_1_1)
public:
    // CONSTRUCTOR
    cvlib_circle();

protected:
    // DESTRUCTOR
    virtual ~cvlib_circle();

    virtual int process_default_image(IplImage *&Source, IplImage * &Dest);   //

    void set_x(int i);
    void set_y(int i);
   // void set_point(int argc, t_atom *argv);

    void set_r(int i);
    void set_width(int i);
    void set_color(int argc, t_atom *argv);

IplImage * cvImageTemp;
    typedef struct circle_data
    {
        CvPoint center;
        int r;
        int width;
        CvScalar color;
    };
    circle_data circles[nb_max_of_circles];
    int nb_of_circles;
    int x,y,r,width,color_r,color_g,color_b;

private:
    FLEXT_CALLBACK_I(set_x)
    FLEXT_CALLBACK_I(set_y)
    FLEXT_CALLBACK_I(set_r)
    FLEXT_CALLBACK_I(set_width)
    FLEXT_CALLBACK_V(set_color)
 //   FLEXT_CALLBACK_V(set_point)

};



// end of #ifndef statement
#endif

