#ifndef INCLUDE_cvlib_contours_convex_hull_H_
#define INCLUDE_cvlib_contours_convex_hull_H_


#include "cvlib.h"
#include <stdio.h>

class cvlib_contours_convex_hull:
	public flext_base
{
	// obligatory flext header, inherit from cvlib_base
	FLEXT_HEADER(cvlib_contours_convex_hull,flext_base)
public:
    cvlib_contours_convex_hull(int argc,t_atom *argv);
    ~cvlib_contours_convex_hull();

    int iterations;

protected:
    void process_cvContours (int i);
    void send_cvContourSID();


private:

    CvSeq* contours;
    CvSeq* result;
    CvSeq* convex_contours;
    CvSeq* convex_contours_head;
    CvSeq* convex_seq;
    int cvSeqSID;

    CvMemStorage* storage;
    t_atom my_output;
 //   FLEXT_CALLBACK(bang)

    FLEXT_CALLBACK_I(process_cvContours)
};



// end of #ifndef statement
#endif

