#ifndef INCLUDE_cvlib_contours_min_area_rect_H_
#define INCLUDE_cvlib_contours_min_area_rect_H_


#include "cvlib.h"
#include <stdio.h>


class cvlib_contours_min_area_rect:
	public flext_base
{
	// obligatory flext header, inherit from cvlib_base
	FLEXT_HEADER(cvlib_contours_min_area_rect,flext_base)
public:
    cvlib_contours_min_area_rect(int argc,t_atom *argv);
    ~cvlib_contours_min_area_rect();


protected:
    void process_cvContours (int i);



private:

    CvSeq* contours;

    int matrix_output_mode;
    struct matrix_out
    {

        t_atom nrow;
        t_atom ncol;
        t_atom results[CVLIB_MAX_CONTOURS][5] ;
    }   my_output;

    t_atom result[6];
    CvBox2D min_area_rect;

    FLEXT_CALLBACK_I(process_cvContours)
};



// end of #ifndef statement
#endif

