
#include "cvlib_contours_segment_count.h"
#define CVLIB_DEBUG post


// CONSTRUCTOR
cvlib_contours_segment_count::cvlib_contours_segment_count(int argc,t_atom *argv)
    {
        AddInAnything();  // cvContours inlet

        AddOutAnything();
      //  AddOutFloat();
        FLEXT_ADDMETHOD_I(0,"cvContours",process_cvContours);  // register method for tag "cvContours" and int argument
        //
        matrix_output_mode=0;

       if(argc >= 1)
            if  (IsFloat(argv[0]))
                matrix_output_mode=(GetInt(argv[0]));

    }

// DESTRUCTOR
cvlib_contours_segment_count::~cvlib_contours_segment_count()
    {

    }


void cvlib_contours_segment_count::process_cvContours(int i)
{
    int nbofsegments=0;

   if (cvlib_get_type(i)==CVLIB_TYPE_CONTOUR)
    {
       contours=(CvSeq*)cvlib_get_pdata(i);

        int  count=0;

        while (contours)
        {
            if (matrix_output_mode) // prepare result in matrix output mode
                SETFLOAT(&my_output.results[count][0],contours->total);
            else
            {
                // send result in instant mode
                SETFLOAT(&result[1], contours->total);
                SETFLOAT(&result[0], count);
                ToOutList(0,2, result);
            }
            count++;
            contours = contours->h_next;
            if (count > CVLIB_MAX_CONTOURS)
                continue;
        }
        if (matrix_output_mode)
        {
            SETFLOAT(&my_output.ncol,1);
            SETFLOAT(&my_output.nrow,count);

            // post("count=%d",count);
            if(count)
                ToOutAnything(0,gensym("matrix"),2+count,&my_output.nrow);
        }
    }

}


FLEXT_LIB_V("cvContoursSegmentCount",cvlib_contours_segment_count);



// cvApproxContours
