#ifndef INCLUDE_cvlib_draw_contours_H_
#define INCLUDE_cvlib_draw_contours_H_


#include "cvlib_ImageFilter_1_1.h"
#include <stdio.h>

class cvlib_draw_contours:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_base
	FLEXT_HEADER(cvlib_draw_contours,cvlib_ImageFilter_1_1)
public:
    cvlib_draw_contours(int argc,t_atom *argv);


protected:

    ~cvlib_draw_contours();

    virtual int process_default_image(IplImage *&Source, IplImage * &Dest);   //

    void set_cvContours(int i);

    void set_color(int argc,t_atom *argv);
    void set_int_color(int argc,t_atom *argv);
    void set_ext_color (int argc,t_atom *argv);
    void set_thickness(int i);
    int iterations;
    int thickness;
    CvScalar outer_contour_color;
    CvScalar inner_contour_color;
    CvSeq* contours_to_draw;

private:




    FLEXT_CALLBACK_I(set_thickness)

    FLEXT_CALLBACK_I(set_cvContours)
    FLEXT_CALLBACK_V(set_color)
    FLEXT_CALLBACK_V(set_ext_color)
    FLEXT_CALLBACK_V(set_int_color)

};



// end of #ifndef statement
#endif

