#ifndef INCLUDE_cvlib_gaussian_H_
#define INCLUDE_cvlib_gaussian_H_


#include "cvlib_ImageFilter_1_1.h"

#include <stdio.h>

class cvlib_gaussian:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_ImageFilter_1_1

	FLEXT_HEADER(cvlib_gaussian,cvlib_ImageFilter_1_1)
public:
    // CONSTRUCTOR
    cvlib_gaussian(int argc,t_atom *argv);

protected:
    // DESTRUCTOR
    virtual ~cvlib_gaussian();

    virtual int process_default_image(IplImage *&Source, IplImage * &Dest);   //


    void set_kernel_x(int value);
    void set_kernel_y(int value);


    int kernel_x;
    int kernel_y;

private:
    FLEXT_CALLBACK_I(set_kernel_x)
    FLEXT_CALLBACK_I(set_kernel_y)

};



// end of #ifndef statement
#endif

