#ifndef INCLUDE_cvlib_set_roi_H_
#define INCLUDE_cvlib_set_roi_H_


#include "cvlib_ImageFilter_1_1.h"

#include <stdio.h>

class cvlib_set_roi:
	public cvlib_ImageFilter_1_1
{
	// obligatory flext header, inherit from cvlib_ImageFilter_1_1

	FLEXT_HEADER(cvlib_set_roi,cvlib_ImageFilter_1_1)
public:
    // CONSTRUCTOR
    cvlib_set_roi(int argc,t_atom *argv);

protected:
    // DESTRUCTOR
    virtual ~cvlib_set_roi();

    virtual int process_default_image(IplImage *&Source, IplImage * &Dest);
    virtual int process_roi_IplImage(IplImage * &Source, IplImage * &Dest);  //
    void process_list(int argc,t_atom *argv);

private:
    int roi_changed;
    IplImage * cvImageTemp;
    IplImage *cvImageWithROI;
    CvRect my_roi;
    FLEXT_CALLBACK_V(process_list)

};



// end of #ifndef statement
#endif

