#ifndef INCLUDE_cvlibdatatype_H_
#define INCLUDE_cvlibdatatype_H_



#ifndef CVLIB_VERBOSE
#define CVLIB_VERBOSE 1
#endif
// size of cvlib_pool container
#define CVLIB_POOL_SIZE 1000
// max size of images
#define CVLIB_MAX_IMAGE_WIDTH 3000
#define CVLIB_MAX_IMAGE_HEIGHT 3000
#define CVLIB_MAX_IMAGE_CHANNELS 4
// status of objects
#define CVLIB_STATUS_NULL 0
#define CVLIB_STATUS_HEADER_AND_DATA 1
#define CVLIB_STATUS_DATA_NOT_OWNED 2
#define CVLIB_STATUS_EXTERNAL_POINTER 3
#define CVLIB_STATUS_ERROR 0   /// value to change....

// flags
#define CVLIB_IMAGE_SID_HAS_CHANGED 1
#define CVLIB_IMAGE_SIZE_HAS_CHANGED 2
#define CVLIB_IMAGE_COI_HAS_CHANGED 4
#define CVLIB_IMAGE_DIMENSIONS_HAS_CHANGED 6


// types of objects
#define CVLIB_TYPE_NULL 0
#define CVLIB_TYPE_IPLIMAGE 1
#define CVLIB_TYPE_CONTOUR 2



// verbose state
#if CVLIB_VERBOSE
    #define CVLIB_DEBUG post
#else
    #define CVLIB_DEBUG //
#endif






// end of #ifndef statement
#endif
